<?php
/**
 * Klutz external API interface.
 *
 * This file defines Klutz's external API interface. Other
 * applications can interact with Klutz through this API.
 *
 * $Horde: klutz/lib/api.php,v 1.28 2008/11/25 18:09:04 mrubinsk Exp $
 *
 * Copyright 2008 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * @author  Duck <duck@obala.net>
 * @package Klutz
 */

$_services['perms'] = array(
    'args' => array(),
    'type' => '{urn:horde}stringArray'
);

/**
 * Permissions per every forum in scope
 */
function _klutz_perms()
{
    static $perms = array();
    if (!empty($perms)) {
        return $perms;
    }

    $perms['tree']['klutz']['admin'] = true;
    $perms['title']['klutz:admin'] = _("Admin");

    return $perms;
}