<?php
/**
 * $Horde: klutz/lib/prefs.php,v 1.9 2008/08/17 14:08:17 mrubinsk Exp $
 *
 * Copyright 2002-2008 The Horde Project (http://www.horde.org/)
 *
 * See the enclosed file COPYING for license information (GPL). If you
 * did not receive this file, see http://www.fsf.org/copyleft/gpl.html.
 */

function handle_comic_select($updated)
{
    $viewcomics = Util::getFormData('viewcomics');
    if (!is_null($viewcomics)) {
        $GLOBALS['prefs']->setValue('viewcomics', $viewcomics);
        return true;
    } else {
        return false;
    }
}

$comicgallery_options = array();
if (!$prefs->isLocked('comicgallery') &&
    $registry->hasMethod('images/listGalleries')) {

    $gals = $registry->call('images/listGalleries', array(null, PERMS_EDIT));
    foreach ($gals as $key => $gal) {
        $comicgallery_options[$key] = $gal['attribute_name'];
    }
}
