#!/usr/local/bin/php -f
<?php
/**
 * $Horde: klutz/scripts/cli-backend.php,v 1.15 2008/08/08 03:13:58 chuck Exp $
 */

$session_control = 'none';
define('AUTH_HANDLER', true);
define('KLUTZ_BASE', dirname(__FILE__) . '/..');
define('HORDE_BASE', dirname(__FILE__) . '/../..');

require_once HORDE_BASE . '/lib/core.php';
require_once 'Horde/CLI.php';

// This shouldn't be callable via the web.
if (!Horde_CLI::runningFromCLI()) {
    exit('must be run from the command line');
} else {
    Horde_CLI::init();
}

require_once KLUTZ_BASE . '/lib/base.php';

$auth = &Auth::singleton($conf['auth']['driver']);
$auth->setAuth($conf['cli']['user'], array());

$mode = array('fetch', 'delete');
require KLUTZ_BASE . '/backend.php';
